﻿using System;
using System.IO;
using Newtonsoft.Json;

namespace jsonParsing
{
    class Program
    {
        // http://www.newtonsoft.com/json/help/html/ReadJsonWithJsonTextReader.htm
        private const string Json = @"{ 'CPU': 'Intel',
                    'PSU': '500W',
                    'Drives': [
                        'DVD read/writer'
                        /*(broken)*/,
                        '500 gigabyte hard drive',
                        '200 gigabype hard drive'
                      ]
                    }";
        static void Main()
        {
            using (JsonTextReader reader = new JsonTextReader(new StringReader(Json)))
            {
                while (reader.Read())
                {
                    if (reader.Value != null)
                    {
                        Console.WriteLine("Token: {0}, Value: {1}", reader.TokenType, reader.Value);
                    }
                    else
                    {
                        Console.WriteLine("Token: {0}", reader.TokenType);
                    }
                }

            }
        }
    }
}
